@ECHO OFF
REM -- DOS script for installing the Loderunner game

CALL ..\configure.bat
CALL localconfigure.bat

IF DEFINED TARGET_INCLUDE_ROOT_DIR GOTO :ELSE1
  ECHO ### ERROR: configuration file not adapted - please edit it first ###
  GOTO :ENDIF1
:ELSE1
  REM -- make the target directories
  ECHO ### Loderunner: making target directories for game ###
  IF NOT EXIST %TARGET_INCLUDE_DIR%\NUL  %MKDIR_PROGRAM% %Target_Include_Dir%
  IF NOT EXIST %TARGET_SOURCE_DIR%\NUL   %MKDIR_PROGRAM% %Target_Source_Dir%
  IF NOT EXIST %TARGET_OBJECT_DIR%\NUL   %MKDIR_PROGRAM% %Target_Object_Dir%

  REM -- copy the include and source files to the appropriate directories
  ECHO ### Loderunner: copying files for game ###
  %CP_PROGRAM% include\*.h %TARGET_INCLUDE_DIR%
  %CP_PROGRAM% src\*.c %TARGET_SOURCE_DIR%
  %CP_PROGRAM% config\bnk.txt %TARGET_OBJECT_DIR%
:ENDIF1
